# Fix X11 forwarding
echo "X11UseLocalhost no" >> /etc/ssh/sshd_config
echo "AddressFamily inet" >> /etc/ssh/sshd_config
systemctl restart ssh.service
env|grep DISPLAY

#
echo "%vagrant ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/vagrant
export PATH=$PATH:$HOME/local/bin
echo "PATH=$PATH:$HOME/local/bin" >> $HOME/.bashrc
echo "PATH=$PATH:$HOME/local/bin" >> /etc/profile

# зависимости
export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get install -y htop nano libsm6 libxext6 libxrender-dev \
  libicu-dev libpango1.0-dev libcairo2-dev g++ autoconf automake \
  libtool pkg-config libpng-dev libjpeg62-turbo-dev libtiff5-dev \
  zlib1g-dev libicu-dev libleptonica-dev

# Устанавливаем чертежные шрифты в систему
export FONTS_DIR=/usr/local/share/fonts
echo "export FONTS_DIR=$FONTS_DIR" >> /etc/profile
cp /vagrant/fonts/* $FONTS_DIR
chmod -R 644 $FONTS_DIR
fc-cache -v

# скачиваем и собираем tesseract 4.1.1
cd /
wget https://github.com/tesseract-ocr/tesseract/archive/4.1.1.tar.gz
tar -zxvf 4.1.1.tar.gz
cd /tesseract-4.1.1 || exit 1
mkdir -p $HOME/local/include $HOME/local/lib/pkgconfig

export PKG_CONFIG_PATH=$HOME/local/lib/pkgconfig
echo "export PKG_CONFIG_PATH=$HOME/local/lib/pkgconfig" >> /etc/profile

./autogen.sh
LIBLEPT_HEADERSDIR=$HOME/local/include ./configure \
  --prefix=$HOME/local/ --with-extra-libraries=$HOME/local/lib
make
make install
export LD_LIBRARY_PATH=$HOME/local/lib
echo "LD_LIBRARY_PATH=$HOME/local/lib" >> /etc/profile

make training
make training-install

export TESSDATA_PREFIX=/tesseract-4.1.1/tessdata
acho "export TESSDATA_PREFIX=/tesseract-4.1.1/tessdata" >> /etc/profile
cd /tessdata
wget https://github.com/tesseract-ocr/tessdata_best/raw/master/rus.traineddata





